Bug 148051

Summary: bsd.port.mk: include gnome.mk for INSTALLS_ICONS
Product: Ports & Packages Reporter: Dmitry Marakasov <amdmi3>
Component: Individual Port(s)Assignee: Port Management Team <portmgr>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
bsd.port.mk.patch none

Description Dmitry Marakasov freebsd_committer 2010-06-22 00:40:00 UTC
In order for INSTALLS_ICONS to work, gnome.mk should be included. This means that unless USE_GNOME is explicitely defined, one should define WANT_GNOME along with INSTALLS_ICONS, which is easy to forget and error prone, so fix bsd.port.mk to include bsd.gnome.mk if INSTALLS_ICONS is defined.
Comment 1 Edwin Groothuis freebsd_committer 2010-06-22 00:40:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

bsd.port.mk is portmgr territory (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2010-08-20 13:15:11 UTC
pav         2010-08-20 12:15:02 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.commands.mk bsd.licenses.mk 
                         bsd.port.mk 
  Log:
  - Fix plist leftovers when using LICENSE framework and having @cwd command in
    plist
  
  PR:             ports/147296
  Submitted by:   beat
  
  - Provide end-user DISABLE_LICENSES knob to disable licensing framework
  
  PR:             ports/149070
  Submitted by:   amdmi3
  
  - Include bsd.gnome.mk when INSTALLS_ICONS is defined
  
  PR:             ports/148051
  Submitted by:   amdmi3
  
  - Disable xz memory limit to fix port builds on low-memory systems
  
  PR:             ports/148250
  Submitted by:   Warren Block <wblock@wonkity.com>
  
  - Remove compatibility shim for 6.3-RELEASE and older in describe target
  
  PR:             ports/146067
  Submitted by:   Alex Kozlov <spam@rm-rf.kiev.ua>
  
  - Remove INSTALLS_SHLIB
  
  PR:             ports/146351
  Submitted by:   Alex Kozlov <spam@rm-rf.kiev.ua>
  
  - Remove last trace of APACHE_COMPAT
  
  PR:             ports/147114
  Submitted by:   pgollucci
  
  - Allow ports to override _MAKE_JOBS
  
  PR:             ports/148754
  Submitted by:   Anonymous <swell.k@gmail.com>
  
  - Fixes to comments block
  
  PR:             ports/135649, ports/148190
  Submitted by:   pgollucci, gcooper
  
  Revision  Changes    Path
  1.6       +4 -3      ports/Mk/bsd.commands.mk
  1.3       +6 -10     ports/Mk/bsd.licenses.mk
  1.644     +36 -139   ports/Mk/bsd.port.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Pav Lucistnik freebsd_committer 2010-08-20 13:17:37 UTC
State Changed
From-To: open->closed

Comitted, thanks
Comment 4 commit-hook freebsd_committer 2014-10-17 23:32:41 UTC
A commit references this bug:

Author: bapt
Date: Fri Oct 17 23:32:07 UTC 2014
New revision: 371085
URL: https://svnweb.freebsd.org/changeset/ports/371085

Log:
  Fix plist

  PR:		148051
  Pointyhat to:	bapt

Changes:
  head/mail/nullmailer/Makefile
  head/mail/nullmailer/pkg-plist